Package com.pixelmed.network

## Class SCUSCPRoleSelection

- java.lang.Object
- - com.pixelmed.network.SCUSCPRoleSelection

-     public class SCUSCPRoleSelection
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SCUSCPRoleSelection​(java.lang.String abstractSyntaxUID, boolean scuRole, boolean scpRole)` |
    `SCUSCPRoleSelection​(java.lang.String abstractSyntaxUID, byte scuRole, byte scpRole)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAbstractSyntaxUID()` |
    `boolean` | `isSCPRoleSupported()` |
    `boolean` | `isSCURoleSupported()` |
    `void` | `setSCPRoleSupported​(boolean supported)` |
    `void` | `setSCURoleSupported​(boolean supported)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SCUSCPRoleSelection

          public SCUSCPRoleSelection​(java.lang.String abstractSyntaxUID,
                                     byte scuRole,
                                     byte scpRole)

      Parameters:
        `abstractSyntaxUID` -

    - #### SCUSCPRoleSelection

          public SCUSCPRoleSelection​(java.lang.String abstractSyntaxUID,
                                     boolean scuRole,
                                     boolean scpRole)

      Parameters:
        `abstractSyntaxUID` -
        `scuRole` - true if supported
        `scpRole` - true if supported

  - ### Method Detail

    - #### getAbstractSyntaxUID

          public java.lang.String getAbstractSyntaxUID()

    - #### isSCURoleSupported

          public boolean isSCURoleSupported()

    - #### setSCURoleSupported

          public void setSCURoleSupported​(boolean supported)

      Parameters:
        `supported` - true if supported, false if not

    - #### isSCPRoleSupported

          public boolean isSCPRoleSupported()

    - #### setSCPRoleSupported

          public void setSCPRoleSupported​(boolean supported)

      Parameters:
        `supported` - true if supported, false if not

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`